//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop

#include "regtest.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma link "DcjCustomDlg"
#pragma link "DcjRegDlg"
#pragma resource "*.dfm"
TfrmMain *frmMain;
//---------------------------------------------------------------------------
__fastcall TfrmMain::TfrmMain(TComponent* Owner)
  : TForm(Owner)
{
  // set up a 20 second hint display
  Application->HintHidePause = 20000;
  
  // instantiate a root key object
  TDcjRootKey rk;

  // fill the combo box with rootkey items
  for( int i = 0; i < 5; i++ ) {
    rk.RootKey = i;
    cboRootKey->Items->Add(rk.RootKeyAsString);
  }

  cboRootKey->ItemIndex = 0;
}
//---------------------------------------------------------------------------
void __fastcall TfrmMain::cmdBrowseClick(TObject *Sender)
{
  // set the properties and show the registry browser
  dlgRegistry->RootKeyObject.RootKeyAsString = cboRootKey->Text;
  dlgRegistry->NodePath = txtNodePath->Text;
  dlgRegistry->LoadOnDemand = chkLoadOnDemand->State == cbChecked;
  dlgRegistry->Sorted = chkSorted->State == cbChecked;
  dlgRegistry->ShowRoot = chkShowRoot->State == cbChecked;

  // display the dialog and return the results
  if( dlgRegistry->Execute() )
    if( dlgRegistry->ModalResult == mrOk ) {
      cboRootKey->ItemIndex = dlgRegistry->RootKey;
      txtNodePath->Text = dlgRegistry->NodePath;
    }
}
//---------------------------------------------------------------------------

void __fastcall TfrmMain::cmdExitClick(TObject *Sender)
{
  Close();
}
//---------------------------------------------------------------------------

